]> git.decadent.org.uk Git - dak.git/commitdiff
Pass suite name to the autobyhand scripts
authorJulien Cristau <jcristau@debian.org>
Wed, 2 Dec 2015 21:11:48 +0000 (22:11 +0100)
committerJoerg Jaspert <joerg@debian.org>
Wed, 2 Dec 2015 21:11:48 +0000 (22:11 +0100)
To: debian-dak@lists.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Date: Wed,  2 Dec 2015 08:01:37 +0100 (14 hours, 9 minutes, 8 seconds ago)
Resent-From: debian-dak@lists.debian.org

We have it readily available, and most scripts try to get it back from
the changes file anyway.

This makes things consistent for the scripts, so they won't get confused
by aliases (due to codenames or suite mappings) depending on whatever is
in the .changes file.

Signed-off-by: Julien Cristau <jcristau@debian.org>
Signed-off-by: Joerg Jaspert <joerg@debian.org>
daklib/archive.py
scripts/debian/byhand-debian-faq
scripts/debian/byhand-di
scripts/debian/byhand-task
scripts/debian/byhand-win32-loader

index 7dd1822ad3abc8c20ed47a12c76927986c9abd30..4226ce9c6e11eb6ebf3761c65fd07783e9a14efc 100644 (file)
@@ -1170,7 +1170,7 @@ class ArchiveUpload(object):
                 continue
 
             script = rule['Script']
-            retcode = daklib.daksubprocess.call([script, os.path.join(self.directory, f.filename), control['Version'], arch, os.path.join(self.directory, self.changes.filename)], shell=False)
+            retcode = daklib.daksubprocess.call([script, os.path.join(self.directory, f.filename), control['Version'], arch, os.path.join(self.directory, self.changes.filename), suite.suite_name], shell=False)
             if retcode != 0:
                 print "W: error processing {0}.".format(f.filename)
                 remaining.append(f)
index b436dc728839c549f7c88811849eccdc7781bc85..e87f02cbc8e5ae3b61b893c66105c65c53ae0c51 100755 (executable)
@@ -28,8 +28,8 @@ export SCRIPTVARS=/srv/ftp-master.debian.org/dak/config/debian/vars
 
 scriptname=byhand-debian-faq
 
-if [ $# -lt 4 ]; then
-    echo "usage: ${scriptname} <byhand-file> <version> <arch> <changes-file>" >&2
+if [ $# -lt 5 ]; then
+    echo "usage: ${scriptname} <byhand-file> <version> <arch> <changes-file> <suite>" >&2
     exit 1
 fi
 
@@ -38,8 +38,8 @@ byhand_file="${byhand_path##*/}"
 version="${2}"
 architecture="${3}"
 changes="${4}"
+suite="${5}"
 
-suite="$(awk '/^Distribution:/ { print $2 }' < "${changes}")"
 case "${suite}" in
     unstable|sid)
         : # okay
index 783c2b9fda952aba54b6c0c697b067a63f57c70b..c4a747c25bfac61c48448486bf88dbb3bac63e4f 100755 (executable)
@@ -4,8 +4,8 @@ set -u
 set -e
 set -o pipefail
 
-if [ $# -lt 4 ]; then
-       echo "Usage: $0 filename version arch changes_file"
+if [ $# -lt 5 ]; then
+       echo "Usage: $0 filename version arch changes_file suite"
        exit 1
 fi
 
@@ -13,6 +13,7 @@ TARBALL="$1"  # Tarball to read, compressed with gzip
 VERSION="$2"
 ARCH="$3"
 CHANGES="$4"   # Changes file for the upload
+SUITE="$5"
 
 error() {
        echo "$*"
@@ -26,13 +27,7 @@ if ! echo "$VERSION" | grep -Eq "^[0-9]{8}((\.|\+?[a-z]+|\+deb[0-9]+u|\+kbsd[0-9
        error "Invalid version: '$VERSION'"
 fi
 
-# Get the target suite from the Changes file
-# NOTE: it may be better to pass this to the script as a parameter!
-SUITE="$(grep "^Distribution:" "$CHANGES" | awk '{print $2}')"
 case $SUITE in
-    "")
-       error "Error: unable to determine suite from Changes file"
-       ;;
     unstable|sid|*-proposed-updates)
        : # nothing to do
        ;;
index 1fcccc088b50cfea7e2b64c44408b42f4333ae29..41f863c581befa127a3957633e7d223cd539ed77 100755 (executable)
@@ -4,8 +4,8 @@ set -u
 set -e
 set -o pipefail
 
-if [ $# -lt 4 ]; then
-        echo "Usage: $0 filename version arch changes_file"
+if [ $# -lt 5 ]; then
+        echo "Usage: $0 filename version arch changes_file suite"
         exit 1
 fi
 
@@ -16,19 +16,14 @@ INPUT="$1"      # Tarball to read, compressed with gzip
 VERSION="$2"
 ARCH="$3"
 CHANGES="$4"    # Changes file for the upload
+SUITE="$5"
 
 error() {
         echo "$*"
         exit 1
 }
 
-# Get the target suite from the Changes file
-# NOTE: it may be better to pass this to the script as a parameter!
-SUITE="$(grep "^Distribution:" "$CHANGES" | awk '{print $2}')"
 case $SUITE in
-    "")
-        error "Error: unable to determine suite from Changes file"
-        ;;
     unstable|sid)
         : # OK for automated byband processing
         ;;
index 3afc8d52882aee9032c8fee8ea566824686ebd19..ea4a1f909708cad2ce9ca1f99f5df71fc96bb6a2 100755 (executable)
@@ -3,8 +3,8 @@
 set -u
 set -e
 
-if [ $# -lt 4 ]; then
-       echo "Usage: $0 filename version arch changes_file"
+if [ $# -lt 5 ]; then
+       echo "Usage: $0 filename version arch changes_file suite"
        exit 1
 fi
 
@@ -16,16 +16,10 @@ WIN32_LOADER_FILE="${WIN32_LOADER_PATH##*/}"
 VERSION="$2"
 ARCH="$3"
 CHANGES="$4"   # Changes file for the upload
+SUITE="$5"
 
-# Get the target suite from the Changes file
-# NOTE: it may be better to pass this to the script as a parameter!
-SUITE="$(grep "^Distribution:" "$CHANGES" | awk '{print $2}')"
 case $SUITE in
-    "")
-           echo "Error: unable to determine suite from Changes file"
-        exit 1
-           ;;
-    unstable|sid)
+    unstable|sid|*-proposed-updates)
            : # nothing to do
            ;;
     *)